---
title: 'CSP: report-to'
slug: Web/HTTP/Headers/Content-Security-Policy/report-to
tags:
  - CSP
  - Content Security Policy
  - Content-Security-Policy
  - HTTP
  - Reporting
  - Security
  - report-to
---
<div>{{HTTPSidebar}}</div>

<p><span class="seoSummary">The <code>Content-Security-Policy</code> <strong><dfn><code>Report-To</code></dfn></strong> HTTP response header field instructs the user agent to store reporting endpoints for an origin.</span></p>

<pre class="syntaxbox">Content-Security-Policy: ...; report-to groupname
</pre>

<p>The directive has no effect in and of itself, but only gains meaning in combination with other directives.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">CSP version</th>
   <td>1</td>
  </tr>
  <tr>
   <th scope="row">Directive type</th>
   <td>{{Glossary("Reporting directive")}}</td>
  </tr>
  <tr>
   <th colspan="2" scope="row">This directive is not supported in the {{HTMLElement("meta")}} element.</th>
  </tr>
 </tbody>
</table>

<h2 id="Syntax">Syntax</h2>

<pre>Content-Security-Policy: report-to &lt;json-field-value&gt;;</pre>

<h2 id="Examples">Examples</h2>

<p>See {{HTTPHeader("Content-Security-Policy-Report-Only")}} for more information and examples.</p>

<pre><a href="https://wicg.github.io/reporting/#report-to" id="ref-for-report-to①">Report-To</a>: { "<a href="https://wicg.github.io/reporting/#group" id="ref-for-group①">group</a>": "csp-endpoint",
             "<a href="https://wicg.github.io/reporting/#max-age" id="ref-for-max-age①">max_age</a>": 10886400,
             "<a href="https://wicg.github.io/reporting/#endpoints" id="ref-for-endpoints②">endpoints</a>": [
               { "<a href="https://wicg.github.io/reporting/#url" id="ref-for-url②">url</a>": "https://example.com/csp-reports" }
             ] },
           { "<a href="https://wicg.github.io/reporting/#group" id="ref-for-group②">group</a>": "hpkp-endpoint",
             "<a href="https://wicg.github.io/reporting/#max-age" id="ref-for-max-age②">max_age</a>": 10886400,
             "<a href="https://wicg.github.io/reporting/#endpoints" id="ref-for-endpoints③">endpoints</a>": [
               { "<a href="https://wicg.github.io/reporting/#url" id="ref-for-url③">url</a>": "https://example.com/hpkp-reports" }
             ] }
<a href="https://w3c.github.io/webappsec-csp/#content-security-policy" id="ref-for-content-security-policy①">Content-Security-Policy</a>: ...; <a href="https://w3c.github.io/webappsec-csp/#directives-reporting" id="ref-for-directives-reporting①">report-to</a> csp-endpoint
</pre>

<pre><a href="https://wicg.github.io/reporting/#report-to" id="ref-for-report-to">Report-To</a>: { "<a href="https://wicg.github.io/reporting/#group" id="ref-for-group">group</a>": "endpoint-1",
             "<a href="https://wicg.github.io/reporting/#max-age" id="ref-for-max-age">max_age</a>": 10886400,
             "<a href="https://wicg.github.io/reporting/#endpoints" id="ref-for-endpoints①">endpoints</a>": [
               { "<a href="https://wicg.github.io/reporting/#url" id="ref-for-url">url</a>": "https://example.com/reports" },
               { "<a href="https://wicg.github.io/reporting/#url" id="ref-for-url①">url</a>": "https://backup.com/reports" }
             ] }

<a href="https://w3c.github.io/webappsec-csp/#content-security-policy" id="ref-for-content-security-policy">Content-Security-Policy</a>: ...; <a href="https://w3c.github.io/webappsec-csp/#directives-reporting" id="ref-for-directives-reporting">report-to</a> endpoint-1</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">
<p>The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>
</div>

<p>{{Compat("http.headers.csp.Content-Security-Policy.report-to")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTTPHeader("Content-Security-Policy")}}</li>
 <li>{{HTTPHeader("Content-Security-Policy-Report-Only")}}</li>
</ul>
